<template>
	<div class="container text-light text-center pt-4">
		<h1 class="title pt-4 pb-3 pl-3">Taxon details</h1>
		<div class="row" v-for="(value, name) in taxon" v-bind:key="name">
			<div class="col text-right">
				<p>
					<strong> {{ name }}: </strong>
				</p>
			</div>
			<div class="col text-left">
				<p>{{ value }}</p>
			</div>
		</div>

		<hr />
		<nuxt-link :to="'/'">
			<button type="navigate" class="btn btn-light px-4">
				Back to home
			</button>
		</nuxt-link>
	</div>
</template>

<script>
import axios from "axios";

export default {
	data() {
		return {
			taxon: {}
		};
	},

	async created() {
		//Get specific taxon by id and save response to state
		try {
			const res = await axios.get(
				`https://api.geocollections.info/taxon/${this.$route.params.id}`
			);
			this.taxon = res.data.results[0];
		} catch (err) {
			console.log(err);
		}
	},
	head() {
		return {
			title: `${this.taxon.taxon} | SARV Taxonomy Lookup`,
			meta: [
				{
					hid: "description",
					name: "description",
					content: `Details for the taxon ${this.taxon.taxon}`
				}
			]
		};
	}
};
</script>

<style></style>
